﻿using Converter.FileRead;
using Converter.Models;
using Converter.FileOperations;

namespace Converter
{
    internal class Program
    {
        static void Main(string[] args)
        {
            List<Person> people = new List<Person>()
            {
                new Person { Id = 1, Name = "Bogdan", Age = 25, Country = "Kolechia"},
                new Person { Id = 2, Name = "Ignat", Age = 20, Country = "Arstocka" },
                new Person { Id = 3, Name = "Maxim", Age = 65, Country = "Orbistan" }
            };

            List<Cities> cities = new List<Cities>()
            {
                new Cities { Id = 1, Name = "New York", Country = "USA", Population = 8537673, Description = "City in USA"},
                new Cities { Id = 2, Name = "London", Country = "UK", Population = 7537673, Description = "Capital of UK"},
                new Cities { Id = 3, Name = "Berlin", Country = "Germany", Population = 3537673, Description = "Capital of Germany"},
            };

            Console.WriteLine("Menu:\n");
            Console.WriteLine("1 - Read file");
            Console.WriteLine("2 - Write file\n");

            int choice = int.Parse(Console.ReadLine());
            Console.WriteLine("");

            switch (choice)
            {
                case 1:
                    Console.WriteLine("Choose the class:\n");
                    Console.WriteLine("1 - Person");
                    Console.WriteLine("2 - Cities\n");
                    int classChoice = int.Parse(Console.ReadLine());
                    Console.WriteLine("");

                    switch (classChoice)
                    {
                        case 1:
                            ReadData.ReadFileData<Person>();
                            break;
                        case 2:
                            ReadData.ReadFileData<Cities>();
                            break;
                        default:
                            Console.WriteLine("Invalid class choice!");
                            break;
                    }
                    break;

                case 2:
                    Console.WriteLine("Choose the class:\n");
                    Console.WriteLine("1 - Person");
                    Console.WriteLine("2 - Cities\n");
                    classChoice = int.Parse(Console.ReadLine());
                    Console.WriteLine("");

                    switch (classChoice)
                    {
                        case 1:
                            WriteData.WriteFileData<Person>(people);
                            break;
                        case 2:
                            WriteData.WriteFileData<Cities>(cities);
                            break;
                        default:
                            Console.WriteLine("Invalid class choice!");
                            break;
                    }
                    break;

                default:
                    Console.WriteLine("The selected function does not exist!");
                    break;
            }
        }
    }
}